# Generated by Django 3.0.6 on 2020-06-01 01:31

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('viewflow', '0008_jsonfield_and_artifact'),
    ]

    operations = [
        migrations.CreateModel(
            name='EmploymentModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('begin', models.DateTimeField(default=django.utils.timezone.now, verbose_name='begin')),
                ('end', models.DateTimeField(blank=True, default=None, null=True, verbose_name='end')),
            ],
            options={
                'verbose_name': 'employee',
                'verbose_name_plural': 'employees',
            },
        ),
        migrations.CreateModel(
            name='LaborStatementProcess',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('approved', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': ('labor statement',),
                'verbose_name_plural': ('labor statements',),
            },
            bases=('viewflow.process',),
        ),
        migrations.CreateModel(
            name='PayrollProcess',
            fields=[
                ('process_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='viewflow.Process')),
                ('approved', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='payrolls', to='corgy_labor.EmploymentModel')),
            ],
            options={
                'verbose_name': ('payroll',),
                'verbose_name_plural': ('payrolls',),
            },
            bases=('viewflow.process',),
        ),
    ]
